# Users

- [Change My Password](https://docs.apphive.io/apphive-documentacion/reference/funciones/users/change-my-password.md): This function allow our users to change their password.
- [Forget Password](https://docs.apphive.io/apphive-documentacion/reference/funciones/users/forget-password.md): This function send an email to the user email address to recover his password.
- [Get All Users](https://docs.apphive.io/apphive-documentacion/reference/funciones/users/get-all-users.md): This functions allow to get the data of all the users in the data base.
- [Get Data From Other User](https://docs.apphive.io/apphive-documentacion/reference/funciones/users/get-data-from-other-user.md): This functions allow to get the data of a specific user from the database.
- [Is Logged In?](https://docs.apphive.io/apphive-documentacion/reference/funciones/users/is-logged-in.md): Usually used to verify if the user is logged and access in the app.
- [Login](https://docs.apphive.io/apphive-documentacion/reference/funciones/users/login.md): Process by which user gains access to the app.
- [Login With Facebook](https://docs.apphive.io/apphive-documentacion/reference/funciones/users/login-with-facebook.md): This function allow the user access to the app with a Facebook account.
- [Login With Google](https://docs.apphive.io/apphive-documentacion/reference/funciones/users/login-with-google.md): This function allow the user access to the app with a Google account.
- [Logout](https://docs.apphive.io/apphive-documentacion/reference/funciones/users/logout.md): This function is usually used to get out from the app.
- [Set Other User Custom Data](https://docs.apphive.io/apphive-documentacion/reference/funciones/users/set-other-user-custom-data.md)
- [Set User Custom Data](https://docs.apphive.io/apphive-documentacion/reference/funciones/users/set-user-custom-data.md)
- [Sign Up](https://docs.apphive.io/apphive-documentacion/reference/funciones/users/sign-up.md): This function will help the user to sign up to the app filling a form.
- [Update Auth Info](https://docs.apphive.io/apphive-documentacion/reference/funciones/users/update-auth-info.md)
- [Update Data From Other User](https://docs.apphive.io/apphive-documentacion/reference/funciones/users/update-data-from-other-user.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.apphive.io/apphive-documentacion/reference/funciones/users.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
